package enchanting;

import lejos.nxt.addon.RCXLightSensor;
import lejos.nxt.SensorPort;

class EnchantingRCXLightSensor extends RCXLightSensor implements EnchantingColorOrLightSensor
{
	public EnchantingRCXLightSensor(SensorPort port) { super(port); }
	public int getCalibratedValue() { return getLightValue(); }
	public int getUncalibratedValue() { return getNormalizedLightValue(); }

	public void setLampColor(EObject HSVlist) {
		HSV color = HSVlist.asHSV();
		if (color.isValid()) {
			this.setFloodlight(color.val > 35.0f);
		}
	}
	
	public EObject readColor() {
		// color is monochromatic
		return EObject.createList(0, 0, this.getCalibratedValue());
	}	
}